Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611429 - [abrt] crash in evolution-data-server-2.30.2-2.fc13: __libc_free: Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] crash in evolution-data-server-2.30.2-2.fc13: __libc_free: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:7f88c5a9b1f08a4c8c7d04a3d89...
:
: 615366 615634 615791 615976 616097 616849 621140 627085 628370 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 04:45 EDT by Oded Arbel
Modified: 2011-06-29 09:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.16 KB, text/plain)
2010-07-05 04:45 EDT, Oded Arbel
no flags Details
ABRT crash report for using New->Meeting from the toolbar (26.57 KB, text/plain)
2010-07-05 04:55 EDT, Oded Arbel
no flags Details

  None (edit)
Description Oded Arbel 2010-07-05 04:45:27 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/e-calendar-factory
comment: I'm using both evolution-exchange and evolution-mapi
component: evolution-data-server
crash_function: __libc_free
executable: /usr/libexec/e-calendar-factory
global_uuid: 7f88c5a9b1f08a4c8c7d04a3d896031eed05bb33
kernel: 2.6.33.5-112.fc13.x86_64
package: evolution-data-server-2.30.2-2.fc13
rating: 4
reason: Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: Ever since I updated to Evolution 2.30.2 from Fedora updates, evolution-data-server crashes everytime I open a meeting invitiation, update or cancellation.
Comment 1 Oded Arbel 2010-07-05 04:45:31 EDT
Created attachment 429488 [details]
File: backtrace
Comment 2 Oded Arbel 2010-07-05 04:54:30 EDT
I can reproduce this reliably 100% of the time when receiving meeting invitations from Microsoft Outlook users - when I view the invitation the exchange-data-server crashes and when I view it again in the same session - it crashes again (it looks like it restarts itself after the crash).

I can reproduce this crash when receiving invitations from Microsoft Outlook 2010 or 2003, and also when I try to create a new meeting using the "New" tool bar button - the dialog does not appear and I get a crash notification.

This started happening immediately after updated to Evolution 2.30.2 and makes it impossible to use the Exchange calendar with Evolution.
Comment 3 Oded Arbel 2010-07-05 04:55:06 EDT
Created attachment 429490 [details]
ABRT crash report for using New->Meeting from the toolbar
Comment 4 Karel Klíč 2010-11-08 14:00:07 EST
*** Bug 615366 has been marked as a duplicate of this bug. ***
Comment 5 Karel Klíč 2010-11-08 14:00:14 EST
*** Bug 615634 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-11-08 14:00:22 EST
*** Bug 615791 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-08 14:00:28 EST
*** Bug 615976 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 14:00:34 EST
*** Bug 616097 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-08 14:00:40 EST
*** Bug 616849 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-08 14:00:45 EST
*** Bug 621140 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-08 14:00:51 EST
*** Bug 627085 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-08 14:00:56 EST
*** Bug 628370 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2011-06-01 10:43:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-29 09:59:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.